Skip to main content
DEPRECATED: This endpoint has been deprecated and will be removed on March 1, 2026. Please use the new endpoint: POST /v1/uploadsSee the Migration Guide for details on migrating to the new endpoints.
The resulting table will be empty, and can be inserted into with the /insert endpoint.
  • If a table already exists with the same name, the request will fail.
  • Column names in the table can’t start with a special character or a digit.
  • Each successful table creation consumes 10 credits.
  • To delete a table, you can go to user settings (dune.com) -> data -> delete or use the /delete endpoint.

Schema

You need to define the schema of your data by providing schema array of columns in the request. Each column has three parameters: name: the name of the field type: the data type of the field
Dune supports ISO 8601 timestamp format
nullable: if the column is nullable (true/false, true by default)
curl --request POST \
  --url https://api.dune.com/api/v1/table/create \
  --header 'X-DUNE-API-KEY: <x-dune-api-key>' \
  --header 'Content-Type: application/json' \
  --data '{
  "namespace":"my_user",
  "table_name":"interest_rates",
  "description": "10 year daily interest rates, sourced from https://fred.stlouisfed.org/series/DGS10",
  "is_private": false,
  "schema": [{"name": "date", "type": "timestamp"}, {"name": "dgs10", "type": "double",  "nullable": true}]
}'